#  Makefile include for building Comtrol Rocketport Linux driver.

# Running kernel version
KVER=$(shell uname -r)


#  Find the kernel source.
ifeq ($(shell test -d /usr/src/linux && echo true),true)
  LINUX_SRC=/usr/src/linux
endif
ifeq ($(shell test -d /usr/src/kernel-headers-$(KVER) && echo true),true)
  LINUX_SRC=/usr/src/kernel-source-$(KVER)
endif
ifeq ($(shell test -d /usr/src/kernel-headers-$(KVER) && echo true),true)
  LINUX_SRC=/usr/src/kernel-headers-$(KVER)
endif
ifeq ($(shell test -d /lib/modules/$(KVER)/build && echo true),true) 
  LINUX_SRC=/lib/modules/$(KVER)/build
endif

PWD    := $(shell pwd)
